package com.ruoyi.dj.mqtt.config;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.web.servlet.MultipartConfigFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.util.unit.DataSize;

import javax.servlet.MultipartConfigElement;
import java.io.File;

@Slf4j
@Configuration
public class FileUploadConfig {

    @Bean
    public MultipartConfigElement multipartConfigElement() {
        MultipartConfigFactory factory = new MultipartConfigFactory();

        // 设置最大文件大小为 10GB
        factory.setMaxFileSize(DataSize.ofBytes(1024L * 1024L * 1024L * 1024L));  // 10GB
        // 设置请求体大小为 10GB
        factory.setMaxRequestSize(DataSize.ofBytes(1024L * 1024L * 1024L * 1024L));  // 10GB
        return factory.createMultipartConfig();
    }


}
